Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSCallCreationInfo Class Reference

`#import <CSCallCreationInfo.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithLineAppearanceId:lineAppearanceOwner:
| Initialize a call creation info with remote call arguments. More...
(instancetype) | - initWithConferenceId:conferencePasscode:portalToken:
| Initialize a call creation info with remote call arguments. More...
(instancetype) | - initMeetMeCallWithConferenceId:conferencePasscode:portalToken:uccpURL:serviceGatewayURL:portalURL:meetMeUserName:remoteAddress:presentationOnlyMode:
| Initialize a MeetMe conference call creation info with with conference related arguments. More...
(instancetype) | - initWithAuthorizationToken:serviceGatewayURL:contextId:remoteAddress:
| Initialize guest user creation call information where user is allowed to make a single call using the provided authorization token. More...

## Properties
NSInteger | lineAppearanceId
| The Avaya lineid for the remote call. More...
NSString * | lineAppearanceOwner
| The remote call owner name. More...
NSString * | remoteAddress
| The remote address for this call. More...
BOOL | applyDialingRules
| A Boolean value indicating whether any configured dialing rules should be applied to the remote address before dialing. More...
NSString * | conferenceId
| The Virtual Room id to identify the conference room that will be used if we make the call to Conference system. More...
NSString * | conferencePasscode
| The Virtual Room PIN to identify the conference room. More...
NSString * | portalToken
| Correlation-token provided by Scopia/Portal to correlate Portal session with SIP Signalling. More...
NSURL * | uccpURL
| The URL to establish UCCP connection to the conference server. More...
BOOL | presentationOnlyMode
| A Boolean value indicating whether the call should be created in presentation only mode. More...
BOOL | offHookDialingEnabled
| Indicates whether or not off-hook dialing will be used to specify the remote address. More...
CSCallType | callType
| Enum value indicating whether default registered service (SIP call through Aura) or a Meetme call through Service gateway is to be created. More...
NSURL * | serviceGatewayURL
| Service Gateway (ESG) URL. More...
NSString * | meetmeUserName
| User name used for meetme conference creation. More...
NSURL * | portalURL
| The Unified portal Service URL. More...
NSString * | authorizationToken
| Authorization token needed to initiate the call. More...
NSString * | contextId
| Opaque data representing the id of contextual data stored in the contact center solution that is associated with this call. More...

## Method Documentation

- (instancetype) initMeetMeCallWithConferenceId: |  | (NSString *) | conferenceId
conferencePasscode: |  | (NSString *) | conferencePasscode
portalToken: |  | (NSString *) | portalToken
uccpURL: |  | (NSURL *) | uccpURL
serviceGatewayURL: |  | (NSURL *) | serviceGatewayURL
portalURL: |  | (NSURL *) | portalURL
meetMeUserName: |  | (NSString *) | meetMeUserName
remoteAddress: |  | (NSString *) | remoteAddress
presentationOnlyMode: |  | (BOOL) | presentationOnlyMode

Initialize a MeetMe conference call creation info with with conference related arguments.

Can be used if application needs to create a MeetMe call using remote Conferencing platform.

Parameters

  conferenceId | The Virtual Room id to identify the conference room that will be used if we make the call to Conference system.
  conferencePasscode | The Virtual Room PIN to identify the conference room.
  portalToken | Conference correlation token provided by Scopia/Portal.
  uccpURL | The URL to establish UCCP connection to the conference server.
  serviceGatewayURL | The Service Gateway URL to establish HTTP connection to the server.
  portalURL | The Unified Portal Server URL. Required for redial capability.
  meetMeUserName | The user display name to represent user in MeetMe calls.
  remoteAddress | The remote address.
  presentationOnlyMode | Presentation only mode

- (instancetype) initWithAuthorizationToken: |  | (NSString *) | authorizationToken
serviceGatewayURL: |  | (NSURL *) | serviceGatewayURL
contextId: |  | (NSString *) | contextId
remoteAddress: |  | (NSString *) | remoteAddress

Initialize guest user creation call information where user is allowed to make a single call using the provided authorization token.

The one time call creation with the authorization token is used in Avaya contact center environment where a user with mobile client can initiate a web based call towards contact center. Currently, this method of placing calls is not used in non-contact center environments.

Parameters

  authorizationToken | Authorization token needed to initiate the one-time call. The token is used by the service gateway to determine whether the call should be allowed to proceed or not.
  serviceGatewayURL | The Service Gateway URL to establish HTTP connection to the server.
  contextId | Opaque data representing the id of contextual data stored in the contact center solution that is associated with this call.
  remoteAddress | Called party information. In the contact center solution, this can be a "vector directory number" (VDN) towards the contact center application, or the contact center agent's direct phone number. The use of this parameter is optional. Depending on the contact center solution, the remote number may not be needed if the remote number is implicitly associated with the authorization token on the service gateway side. When the remote number is associated with the token, this parameter should be nil.

- (instancetype) initWithConferenceId: |  | (NSString *) | conferenceId
conferencePasscode: |  | (NSString *) | conferencePasscode
portalToken: |  | (NSString *) | portalToken

Initialize a call creation info with remote call arguments.

Can be used if application needs to create a conference call using remote call information.

Parameters

  conferenceId | The Virtual Room id to identify the conference room that will be used if we make the call to Conference system.
  conferencePasscode | The Virtual Room PIN to identify the conference room.
  portalToken | Correlation-token provided by Scopia/Portal to correlate Portal session with SIP Signalling.

- (instancetype) initWithLineAppearanceId: |  | (NSInteger) | lineAppearanceId
lineAppearanceOwner: |  | (NSString *) | lineAppearanceOwner

Initialize a call creation info with remote call arguments.

Can be used if application needs to create a call using remote call information.

Parameters

  lineAppearanceId | The Avaya lineid for the remote call.
  lineAppearanceOwner | The remote call owner name.

## Property Documentation

- (BOOL) applyDialingRules
| read write nonatomic assign

A Boolean value indicating whether any configured dialing rules should be applied to the remote address before dialing.

The default value of this property is `YES`.

See also
  CSUserConfiguration::dialingRulesConfiguration

- (NSString*) authorizationToken
| read write nonatomic copy

Authorization token needed to initiate the call.

Used by the service gateway to determine whether the call should be allowed to proceed or not.

- (CSCallType) callType
| read write nonatomic assign

Enum value indicating whether default registered service (SIP call through Aura) or a Meetme call through Service gateway is to be created.

- (NSString*) conferenceId
| read write nonatomic copy

The Virtual Room id to identify the conference room that will be used if we make the call to Conference system.

- (NSString*) conferencePasscode
| read write nonatomic copy

The Virtual Room PIN to identify the conference room.

- (NSString*) contextId
| read write nonatomic copy

Opaque data representing the id of contextual data stored in the contact center solution that is associated with this call.

- (NSInteger) lineAppearanceId
| read write nonatomic assign

The Avaya lineid for the remote call.

- (NSString*) lineAppearanceOwner
| read write nonatomic copy

The remote call owner name.

- (NSString*) meetmeUserName
| read write nonatomic copy

User name used for meetme conference creation.

- (BOOL) offHookDialingEnabled
| read write nonatomic assign

Indicates whether or not off-hook dialing will be used to specify the remote address.

Off-hook dialing is used to support the user experience of a traditional desk telephone where the handset is lifted (goes off-hook) and the user enters the digits to dial via a dialpad. In this mode the remote address is not specified before -[CSCall start] is called and digits are entered via -[CSCall addRemoteAddressDigit:] as the user enters them in the UI. When a match against the call server's dial plan is found the call will be automatically initiated.

- (NSString*) portalToken
| read write nonatomic copy

Correlation-token provided by Scopia/Portal to correlate Portal session with SIP Signalling.

- (NSURL*) portalURL
| read write nonatomic copy

The Unified portal Service URL.

- (BOOL) presentationOnlyMode
| read write nonatomic assign

A Boolean value indicating whether the call should be created in presentation only mode.

- (NSString*) remoteAddress
| read write nonatomic copy

The remote address for this call.

when making call with line appearance id, this value must be set.

- (NSURL*) serviceGatewayURL
| read write nonatomic copy

Service Gateway (ESG) URL.

- (NSURL*) uccpURL
| read write nonatomic copy

The URL to establish UCCP connection to the conference server.

This allows client UI to establish conference in presentation only mode through UCCP web socket connection.

The documentation for this class was generated from the following file:

- CSCallCreationInfo.h